- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Kernel_OSG::oPropertyT< GeoProperty > Class Template Reference

Property adaptor for OpenSG GeoProperties. More...

`#include <PropertyT.hh>`

Inheritance diagram for OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >:

List of all members.

## Public Member Functions
virtual void | free_mem ()
| Free unused memory.
virtual void | reserve (size_t _n)
| Reserve memory for n elements.
virtual void | resize (size_t _n)
| Resize storage to hold n elements.
virtual void | push_back ()
| Extend the number of elements by one.
virtual void | swap (size_t _i0, size_t _i1)
| Let two elements swap their storage place.
virtual oPropertyT< property_t > * | clone () const
| Return a deep copy of self.
virtual void | set_persistent (bool _yn)
| Enable or disable persistency.
virtual size_t | n_elements () const
| Number of elements in property.
virtual size_t | element_size () const
| Size of one element in bytes or UnknownSize if not known.
virtual size_t | store (std::ostream &_ostr, bool _swap) const
| Store self as one binary block.
virtual size_t | restore (std::istream &_istr, bool _swap)
| Restore self from a binary block.

## Detailed Description

### template<typename GeoProperty>
class OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >

Property adaptor for OpenSG GeoProperties.

This class bridges the interfaces of OpenMesh properties and OpenSG GeoProperties. The PropertyKernelT uses these adaptors to add all necessary property functions to the kernel, while the AttribKernelT extends the kernel with the standard properites. Finally the ArrayKernelT completes the kernel build with a specialized version of the garbage collections since the GeoIndices require special handling.

Attention:
  Data will be shared with a geometry core when linking a mesh with a OpenSG geometry node using Kernel_OSG::bind.

For internal use only.

## Member Function Documentation

template<typename GeoProperty>

virtual void OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >::set_persistent | ( | bool | _yn | ) | `[inline, virtual]`

Enable or disable persistency.

Self must be a named property to enable persistency.

Implements OpenMesh::BaseProperty.

template<typename GeoProperty>

virtual size_t OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >::restore | ( | std::istream & | _istr,
|  | bool | _swap |
| ) |  |  | `[inline, virtual]`

Restore self from a binary block.

Uses reserve() to set the size of self before restoring.

Implements OpenMesh::BaseProperty.

The documentation for this class was generated from the following file:

- Tools/Kernel_OSG/PropertyT.hh